`lqr_carver_set_enl_step`
Prev | Carver objects | Next

## Name

lqr_carver_set_enl_step — set the enlargement step of a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_carver_set_enl_step(` | LqrCarver* carver,
| gfloat enl_step`)`;

## Description

The function `lqr_carver_set_enl_step` sets the enlargement step of the `LqrCarver` object pointed to by `carver` to the value specified in `enl_step`, which must be strictly greater than 1 and less than 2.

The enlargement step is the maximum enlargement ratio (with respect to either the original width or original height of `carver`) which the function `lqr_carver_resize` applies in a single step; if that function is asked a greater enlargement, it divides the process in multiple steps (and updates the original sizes accordingly at each new step - these can be readout at any time with `lqr_carver_get_ref_width`(3) and `lqr_carver_get_ref_height`(3)).

The default value for new `LqrCarver` objects is 2.0.

## Return value

The return value follows the Liquid Rescale library signalling system. `LQR_ERROR` is returned if the `enl_step` parameter is out of bounds.

## See also

`lqr_carver_resize`(3), `lqr_carver_get_enl_step`(3), `lqr_carver_get_ref_width`(3), `lqr_carver_get_ref_height`(3), `lqr_carver_set_dump_vmaps`(3), `lqr_carver_set_side_switch_frequency`(3), `lqr_carver_set_progress`(3), `lqr_carver_set_preserve_input_image`(3), `lqr_carver_set_use_cache`(3)

Prev | Up | Next
`lqr_carver_get_depth` | Home | `lqr_carver_set_resize_order`